'Solar Analysis Tools -
 'Copyright (C) 2005 Gary Reysa (gary@BuildItSolar.com)

 ' This program is free software; you can redistribute it and/or modify it
 ' under the terms of the GNU General Public License as published by the Free
 ' Software Foundation; either version 2 of the License, or (at your option)
 ' any later version.

 ' This program is distributed in the hope that it will be useful and encourage
 ' further development of solar tools, but   WITHOUT ANY WARRANTY; without even 
 ' the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 ' See the GNU General Public License   for more details.


' Test program to test VectorCls

Module Driver

    Sub main()
        Dim V1 As New VectorCls(1, 2, 3)
        Dim v2 As New VectorCls(4, 5, 6)
        Console.WriteLine("V1 and V2 b4 add: ")
        V1.Dump()
        v2.Dump()


        Dim V3 As New VectorCls
        V3 = v2.Add(V1)
        Console.WriteLine("V1 and V2 and V3 after add: ")
        V1.Dump()
        v2.Dump()
        V3.Dump()

        V3 = v2.Subtract(V1)
        Console.WriteLine("V1 and V2 and V3 after V3 = V2 sub V1 ")
        V1.Dump()
        v2.Dump()
        V3.Dump()

        Dim Az As Double = 45.0 / 57.3
        Dim Elev As Double = 45 / 57.3
        Dim Vae As VectorCls

        Console.WriteLine("Azimuth  {0},   Elev {1}", Az * 57.3, Elev * 57.3)
        Vae = VectorCls.AzElevVector(Az, Elev)
        Vae.Dump()

        Console.ReadLine()
    End Sub

End Module
